Summary:	Cloud image management utilities
Name:		cloud-utils
Version:	0.27
Release:	alt1_3
License:	GPLv3
Group:		System/Base
URL:		https://launchpad.net/cloud-utils/trunk/0.27/+download/cloud-utils-0.27.tar.gz

Source0:	%{name}-%{version}.tar.gz
Source1:        LICENSE

BuildArch:	noarch

%if 0%{?rhel}
# Exclude EPEL architectures that don't have qemu-img
ExcludeArch:	i386 ppc64
%endif

Requires:	gawk
Requires:	gdisk
Requires:	e2fsprogs
Requires:	euca2ools
Requires:	file
Requires:	qemu-img
Requires:	util-linux
Source44: import.info

%description
This package provides a useful set of utilities for managing cloud images.

The euca2ools package (a dependency of cloud-utils) provides an Amazon EC2 API
compatible set of utilities for bundling kernels, ramdisks, and root
filesystems, and uploading them to either EC2 or UEC.

The tasks associated with image bundling are often tedious and repetitive. The
cloud-utils package provides several scripts that wrap the complicated tasks
with a much simpler interface.


%prep
%setup -q


%build


%install
cp %{SOURCE1} LICENSE

# Install binaries
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp bin/* $RPM_BUILD_ROOT/%{_bindir}/
# Exclude Ubuntu-specific tools
rm $RPM_BUILD_ROOT/%{_bindir}/*ubuntu*

# Install man pages
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp man/* $RPM_BUILD_ROOT/%{_mandir}/man1/


%files
%doc ChangeLog LICENSE
%{_bindir}/*
%doc %{_mandir}/man1/*


%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.27-alt1_3
- initial fc import

